> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generates a WebRTC login token.

> Generates a Leadping WebRTC login token so authenticated agents can connect to telephony services and place or receive browser-based calls.



## OpenAPI

````yaml /openapi.json post /telephony/login
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /telephony/login:
    post:
      tags:
        - Telephony
      summary: Generates a WebRTC login token.
      description: >-
        Generates a Leadping WebRTC login token so authenticated agents can
        connect to telephony services and place or receive browser-based calls.
      operationId: Telephony_Login
      requestBody:
        description: The telephony login request containing connection details.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TelephonyLoginRequest'
              description: Request model for telephony login token generation.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TelephonyLoginRequest'
              description: Request model for telephony login token generation.
        required: true
      responses:
        '200':
          description: Login token was successfully generated.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/TelephonyLoginResponse'
                description: Response model for telephony login token generation.
        '400':
          description: The request was invalid or malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: The user is not authenticated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TelephonyLoginRequest:
      type: object
      properties:
        device:
          type: object
          allOf:
            - $ref: '#/components/schemas/IdNamePair'
          description: The ID and name for this device.
          nullable: true
      description: Request model for telephony login token generation.
    TelephonyLoginResponse:
      type: object
      properties:
        username:
          type: string
          description: The username value for this telephony login.
        password:
          type: string
          description: The password value for this telephony login.
        expiresAt:
          type: string
          description: The date and time for the expires at value on this telephony login.
          format: date-time
          nullable: true
        callbackToken:
          type: string
          description: The callback token value for this telephony login.
      description: Response model for telephony login token generation.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    IdNamePair:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: The unique identifier.
        name:
          type: string
          description: The display name.
      description: >-
        A minimal Record type with an (string), (string), and maximum JSON
        compatibility. The reason for this type (over something like
        KeyValuePair, dictionary) is because of JSON serialization support.

````